yum update problem onj centos to 5.4

Discussion in 'Installation/Configuration' started by cobro, Oct 30, 2009.

  1. cobro

    cobro New Member

    Code:
    --> Processing Dependency: liblzo.so.1 for package: lzop
    ---> Package sgpio.i386 0:1.2.0_10-2.el5 set to be updated
    --> Finished Dependency Resolution
    lzop-1.01-2.el5.rf.i386 from installed has depsolving problems
      --> Missing Dependency: liblzo.so.1 is needed by package lzop-1.01-2.el5.rf.i386 (installed)
    Error: Missing Dependency: liblzo.so.1 is needed by package lzop-1.01-2.el5.rf.i386 (installed)
    i have tried numerus ways and not been able to fix this and frank i have no idea on how to fix this ? :confused:
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

  3. cobro

    cobro New Member

  4. Doug G

    Doug G Member

    I was able to get CentOS to update by excluding postfix and skipping broken dependencies

    Code:
    yum --exclude="postfix" --skip-broken update
    worked for me with CentOS 5.4
     
  5. cobro

    cobro New Member

    Yes this also works for me thank you very much
     
  6. deunan

    deunan New Member

    Had the same problem as well..

    The culprit seems to be this one -

    Code:
    ---> Package lzo.i386 0:2.02-3.el5.kb set to be updated
    --> Processing Dependency: liblzo.so.1 for package: lzop
    then

    Code:
    lzop-1.01-2.el5.rf.i386 from installed has depsolving problems
      --> Missing Dependency: liblzo.so.1 is needed by package lzop-1.01-2.el5.rf.i386 (installed)
    Error: Missing Dependency: liblzo.so.1 is needed by package lzop-1.01-2.el5.rf.i386 (installed)
    Previously, the installation document for perfect server cites that mod_fcgid is not available in the official CentOS repositories, but there's a package for CentOS 5.x in the centos.karan.org testing repository. So, we have this repository active for mod_fcgid but now we have package conflict due to this.

    So, either we exclude lzo package or disable kbs-CentOS-Testing. It'll work.

    Code:
    yum update --exclude="lzo" --exclude="postfix"
    
    yum update --exclude="postfix" --disablerepo=kbs-CentOS-Testing
     
    Last edited: Nov 21, 2009
  7. Mahalo

    Mahalo New Member

    Thank you VERY much... I see this is an old thread but this problem has persisted.

    Code:
    yum update --exclude="lzo" --exclude="postfix"
    worked perfectly. Although it said that it failed, I ran an update after, from shell and from Virtualmin, and both came up clean.
     
  8. wpwood3

    wpwood3 New Member

    Proposed changes to the How-to

    I just ran into this same issue while testing ISPConfig3

    My suggestion is to amend the CentOS 5.4 x86_64 Perfect Server HowTo as follows:

    Step-11
    Add the following at the beginning of step-11:
    We have to prevent yum from attempting to overwrite our custom built Postfix installation so we add exclude=postfix-* to the Base and Updates repos
    Code:
    vi /etc/yum.repos.d/CentOS-Base.repo
    Add exclude=postfix-* under Base and Updates
    Code:
    [base]
    name=CentOS-$releasever - Base
    mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=os
    #baseurl=http://mirror.centos.org/centos/$releasever/os/$basearch/
    gpgcheck=1
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-5
    exclude=postfix-*
    
    #released updates
    [updates]
    name=CentOS-$releasever - Updates
    mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=updates
    #baseurl=http://mirror.centos.org/centos/$releasever/updates/$basearch/
    gpgcheck=1
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-5
    exclude=postfix-*
    
    Step-16
    Add the following at the end of step-16:
    Since we have everything we need from the kbs-CentOS-Testing repo we want to disable it to prevent future yum update conflicts.
    Code:
    vi /etc/yum.repos.d/kbsingh-CentOS-Extras.repo
    We set enabled=0
    Code:
    [...]
    [kbs-CentOS-Testing]
    name=CentOS.Karan.Org-EL$releasever - Testing
    gpgcheck=0
    gpgkey=http://centos.karan.org/RPM-GPG-KEY-karan.org.txt
    enabled=0
    baseurl=http://centos.karan.org/el$releasever/extras/testing/$basearch/RPMS/
     
  9. Nicram

    Nicram Member

    To fix lzop problem do:

    wget ftp://fr.rpmfind.net/linux/EPEL/5Client/x86_64/lzop-1.02-0.5.rc1.el5.x86_64.rpm
    rpm -Uvh lzop-1.02-0.5.rc1.el5.x86_64.rpm

    Then when You will make yum update there may be still problem:
    Total 476 kB/s | 88 MB 03:08
    Running rpm_check_debug
    Running Transaction Test
    Finished Transaction Test


    Transaction Check Error:...

    To fix it do the following:
    yum remove subversion xdelta
    yum update --exclude="postfix" --disablerepo=kbs-CentOS-Testing
    yum install subversion.x86_64 xdelta.x86_64
     

Share This Page